Fermi Redmine - Feature #878

Missing feature: cross-repository issue-linking and repository references.
01/28/2011 06:52 PM - Christopher Green

Status: Accepted Start date: 01/28/2011
Priority: Normal Due date:

Assignee: Marc Mengel % Done: 0%
Category: Estimated time: 1.00 hour
Target version: Spent time: 0.25 hour
Description

History

#1 - 01/28/2011 06:56 PM - Christopher Green

So | managed to commit this issue without a description.

We (the CET group) have several related projects (they actually are subprojects according to redmine). The user-visible top-level project, art, is the
one most likely to attract issues, even though the problem could easily be in one or more subpackages. We need a way to link issues across projects
and/or refer to commits in other repositories. | realize this probably requires an addition to redmine itself but it would be nice if there were already a
plugin to allow this, or a way of convincing the authors this was a good thing to do.

If there's any other way of getting what we want short of consolidating the projects into one (not an option), we'd be happy to hear it.

#2 - 01/31/2011 11:31 AM - Marc Mengel
- Status changed from New to Accepted
- Assignee set to Marc Mengel

- Estimated time set to 1.00 h

I've flipped the settings flag, which allows cross-project issue references. This is simple, because the issue numbers are global to the redmine site;
so that should just work now.

The other piece, how do | reference a commmit/revision in another project, I'm working on.

You can reference wiki pages in other projects, but short of putting in a full-url link,
I'm not seeng a shortcut for revisions in other projects yet.
